Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(147)

Issue 2669453002: Moved nonproperties 'affectedBy*' to be generated in ComputedStyleBase. (Closed)

Created:
1 year, 4 months ago by shend
Modified:
1 year, 3 months ago
Reviewers:
meade_UTC10, nainar, sashab
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Moved nonproperties 'affectedBy*' to be generated in ComputedStyleBase. Move the nonproperty fields: - affectedByFocus - affectedByHover - affectedByActive - affectedByDrag to be generated in ComputedStyleBase. Also moved getter / setter methods to be generated in ComputedStyleBase. BUG=628043 Review-Url: https://codereview.chromium.org/2669453002 Cr-Commit-Position: refs/heads/master@{#453935} Committed: https://chromium.googlesource.com/chromium/src/+/2f8222f7704a78f4a3ada84c1fdd915b6da2b219

Patch Set 1 #

Patch Set 2 : Rebase #

Total comments: 1

Patch Set 3 : Rebase #

Total comments: 2

Patch Set 4 : Address comments #

Patch Set 5 : What is grammar #

Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -23 lines) Patch
M third_party/WebKit/Source/build/scripts/make_computed_style_base.py View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 3 3 chunks +0 lines, -23 lines 0 comments Download

Messages

Total messages: 23 (12 generated)
shend
Hi Naina, PTAL :)
1 year, 4 months ago (2017-02-02 03:12:43 UTC) #3
nainar
lgtm
1 year, 4 months ago (2017-02-02 04:39:33 UTC) #4
shend
Hi Sasha, PTAL
1 year, 4 months ago (2017-02-02 04:46:38 UTC) #6
sashab
https://codereview.chromium.org/2669453002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h File third_party/WebKit/Source/core/style/ComputedStyle.h (left): https://codereview.chromium.org/2669453002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h#oldcode2539 third_party/WebKit/Source/core/style/ComputedStyle.h:2539: void setAffectedByHover() { m_nonInheritedData.m_affectedByHover = true; } Can we ...
1 year, 4 months ago (2017-02-03 05:11:05 UTC) #7
shend
Hi Eddy PTAL :)
1 year, 4 months ago (2017-02-14 04:22:13 UTC) #9
meade_UTC10
lgtm Speaking of the code generation discussions we've been having, how about attaching a diff ...
1 year, 4 months ago (2017-02-15 05:55:34 UTC) #10
sashab
nit but lgtm! Cool cool And yeah +1 to put the diff in a comment ...
1 year, 4 months ago (2017-02-19 23:03:14 UTC) #11
shend
Diff for ComputedStyleBase.h: @@ -56,7 +56,11 @@ m_emptyCellsIsInherited(static_cast<unsigned>(true)), m_emptyCells(static_cast<unsigned>(EEmptyCells::kShow)), m_visibilityIsInherited(static_cast<unsigned>(true)), - m_unique(static_cast<unsigned>(false)) + m_affectedByActive(static_cast<unsigned>(false)), + ...
1 year, 4 months ago (2017-02-19 23:38:50 UTC) #12
shend
https://codereview.chromium.org/2669453002/diff/40001/third_party/WebKit/Source/build/scripts/make_computed_style_base.py File third_party/WebKit/Source/build/scripts/make_computed_style_base.py (right): https://codereview.chromium.org/2669453002/diff/40001/third_party/WebKit/Source/build/scripts/make_computed_style_base.py#newcode21 third_party/WebKit/Source/build/scripts/make_computed_style_base.py:21: # Whether this affected by these pseudo-classes On 2017/02/19 ...
1 year, 4 months ago (2017-02-19 23:41:31 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2669453002/80001
1 year, 3 months ago (2017-03-01 15:08:10 UTC) #20
commit-bot: I haz the power
1 year, 3 months ago (2017-03-01 15:13:35 UTC) #23
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/2f8222f7704a78f4a3ada84c1fdd...

Powered by Google App Engine
This is Rietveld 408576698